CONVERT-SAM-FOR-RSEM(1)

NAME
convert-sam-for-rsem

PURPOSE
Make a RSEM compatible BAM file.

SYNOPSIS
 convert-sam-for-rsem [options] <input.sam/input.bam/input.cram> output_file_name

ARGUMENTS

input.sam/input.bam/input.cram
    The SAM/BAM/CRAM file generated by user's aligner. We require this file contains the header section.

output_file_name
    The output name for the converted file. 'convert-sam-for-rsem' will output a BAM with the name 'output_file_name.bam'.

OPTIONS

-p/--num-threads <int>
    Set the number of threads to be used for converting. (Default: 1)

--memory-per-thread <string>
    Set the maximum allowable memory per thread. <string> represents the memory and accepts suffices 'K/M/G'. (Default: 1G)

-h/--help
    Show help information.

DESCRIPTION
This program converts the SAM/BAM/CRAM file generated by user's aligner into a BAM file which RSEM can process. However, users should make sure their aligners use 'reference_name.idx.fa' generated by 'rsem-prepare-reference' as their references and output header sections. After the conversion, this program will call 'rsem-sam-validator' to validate the resulting BAM file.

Note: You do not need to run this script if `rsem-sam-validator' reports that your SAM/BAM/CRAM file is valid.

EXAMPLES
Suppose input is set to 'input.sam' and output file name is "output"

 convert-sam-for-rsem input.sam output

We will get a file called 'output.bam' as output.